Merge "CSIT-682 Usage of make-verify for vpp-csit-verify jobs"
[ci-management.git] / jjb / nsh_sfc / include-raw-nsh_sfc-csit-functional-virl.sh
1 #!/bin/bash
2 set -xeu -o pipefail
3
4 # Clone csit and start tests
5 git clone https://gerrit.fd.io/r/csit
6
7 # If the git clone fails, complain clearly and exit
8 if [ $? != 0 ]; then
9     echo "Failed to run: git clone https://gerrit.fd.io/r/csit"
10     exit 1
11 fi
12
13 cd csit
14
15 # execute nsh_sfc bootstrap script if it exists
16 if [ -e bootstrap-nsh_sfc-functional-virl.sh ]
17 then
18     # make sure that bootstrap-nsh_sfc-functional-virl.sh is executable
19     chmod +x bootstrap-nsh_sfc-functional-virl.sh
20     # run the script
21     ./bootstrap-nsh_sfc-functional-virl.sh
22 else
23     echo 'ERROR: No bootstrap-nsh_sfc-functional-virl.sh found'
24     exit 1
25 fi
26
27 # vim: ts=4 ts=4 sts=4 et :